BoundedStatsDeque (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.utils
Class BoundedStatsDeque

    java.lang.Object
      org.apache.cassandra.utils.AbstractStatsDeque
          org.apache.cassandra.utils.BoundedStatsDeque

All Implemented Interfaces:
  java.lang.Iterable<java.lang.Double>

    public class BoundedStatsDeque

extends AbstractStatsDeque

bounded threadsafe deque

Field Summary
`protected java.util.concurrent.LinkedBlockingDeque<java.lang.Double>` | `deque`

Constructor Summary
`BoundedStatsDeque(int size)`

Method Summary
`void` | `add(double i)`
`void` | `clear()`
`java.util.Iterator<java.lang.Double>` | `iterator()`
`int` | `size()`

Methods inherited from class org.apache.cassandra.utils.AbstractStatsDeque
`mean, stdev, sum, sumOfDeviations, variance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### deque

    protected final java.util.concurrent.LinkedBlockingDeque<java.lang.Double> deque

Constructor Detail

### BoundedStatsDeque

    public BoundedStatsDeque(int size)

Method Detail

### iterator

    public java.util.Iterator<java.lang.Double> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<java.lang.Double>`
  Specified by:
    `iterator` in class `AbstractStatsDeque`

### size

    public int size()

  Specified by:
    `size` in class `AbstractStatsDeque`

### clear

    public void clear()

  Specified by:
    `clear` in class `AbstractStatsDeque`

### add

    public void add(double i)

  Specified by:
    `add` in class `AbstractStatsDeque`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation